Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 15/12/2018, à 04:03

wallace27

erreurs sur Ubuntu WSL

Bonjour,

Lorsque je fais un sudo apt update je tombe sur ces erreurs sur mon ubuntu sur Windows 10 (WSL) :

Ubuntu@steg:~$ sudo apt-get update
[sudo] password for Ubuntu:
Hit:1 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial InReleaseHit:2 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease
Hit:3 https://download.docker.com/linux/ubuntu xenial InRelease
Ign:4 https://packages.sury.org/php xenial InRelease
Ign:5 https://packages.sury.org/php xenial Release
Ign:6 https://packages.sury.org/php xenial/main amd64 Packages
Ign:7 https://packages.sury.org/php xenial/main all Packages
Ign:8 https://packages.sury.org/php xenial/main Translation-en_US
Ign:9 https://packages.sury.org/php xenial/main Translation-en
Ign:6 https://packages.sury.org/php xenial/main amd64 Packages
Ign:7 https://packages.sury.org/php xenial/main all Packages
Ign:8 https://packages.sury.org/php xenial/main Translation-en_US
Ign:9 https://packages.sury.org/php xenial/main Translation-en
Ign:6 https://packages.sury.org/php xenial/main amd64 Packages
Ign:7 https://packages.sury.org/php xenial/main all Packages
Ign:8 https://packages.sury.org/php xenial/main Translation-en_US
Ign:9 https://packages.sury.org/php xenial/main Translation-en
Ign:6 https://packages.sury.org/php xenial/main amd64 Packages
Ign:7 https://packages.sury.org/php xenial/main all Packages
Ign:8 https://packages.sury.org/php xenial/main Translation-en_US
Ign:9 https://packages.sury.org/php xenial/main Translation-en
Ign:6 https://packages.sury.org/php xenial/main amd64 Packages
Ign:7 https://packages.sury.org/php xenial/main all Packages
Ign:8 https://packages.sury.org/php xenial/main Translation-en_US
Ign:9 https://packages.sury.org/php xenial/main Translation-en
Err:6 https://packages.sury.org/php xenial/main amd64 Packages
  404  Not Found
Ign:7 https://packages.sury.org/php xenial/main all Packages
Ign:8 https://packages.sury.org/php xenial/main Translation-en_US
Ign:9 https://packages.sury.org/php xenial/main Translation-en
Hit:10 http://archive.ubuntu.com/ubuntu xenial InRelease
Hit:11 http://archive.ubuntu.com/ubuntu xenial-updates InRelease
Get:12 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]Get:13 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]Fetched 214 kB in 18s (11.8 kB/s)
Reading package lists... Done
W: The repository 'https://packages.sury.org/php xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch https://packages.sury.org/php/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.
Ubuntu@steg:~$

Savez comment je peux réparer cela ?

Merci pour votre aide.

Hors ligne

#2 Le 15/12/2018, à 05:11

Vobul

Re : erreurs sur Ubuntu WSL

T'as ajouté des PPA ? (apt-cache policy)


Vobul

Hors ligne

#3 Le 15/12/2018, à 06:10

wallace27

Re : erreurs sur Ubuntu WSL

J'ai juste installé apache2, MySQL, composer et le framework Symfony.

Hors ligne

#4 Le 15/12/2018, à 08:29

bishop

Re : erreurs sur Ubuntu WSL

Salut wallace27
Tu as ce message :

W: The repository 'https://packages.sury.org/php xenial Release' does not have a Release file.

"packages.sury.org/php – the main PHP repository for Debian" est un DPA pour Debian buster, jessie et stretch Il n'y a pas de dépôt pour Xenial, c'est ce qui provoque l'erreur.


Si tu veux utiliser les paquets de ce développeur tu dois utiliser le PPA : ppa:ondrej/php – the main PHP repository pour Xenial (entre autres).
Voir les infos en milieu de page sur DEB.SURY.ORG.

Désinstalle le dépôt pour Debian et installe le PPA pour Ubuntu.

Dernière modification par bishop (Le 15/12/2018, à 08:32)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#5 Le 15/12/2018, à 12:37

krodelabestiole

Re : erreurs sur Ubuntu WSL

bishop a écrit :

installe le PPA pour Ubuntu.

non : le PPA d'ondrej sury est largement connu pour poser des problèmes sur ubuntu. on a des centaines de fils à ce sujet sur ce forum.

donc je te conseille de virer simplement ce PPA et de ne rien installer à la place.

Apache et PHP sont déjà dans les dépôts officiels dans une version supérieure à celle requise pour symfony sur bionic.
si tu es sur xenial par contre il faut passer à bionic (aussi dispo sur WSL)


Ensuite je te conseille pas d'installer composer ni symfony via APT.
la doc pour installer composer est là : https://doc.ubuntu-fr.org/composer#installation
et symfony ça s'installe idéalement avec composer.

Dernière modification par krodelabestiole (Le 15/12/2018, à 20:52)

Hors ligne

#6 Le 15/12/2018, à 20:24

bishop

Re : erreurs sur Ubuntu WSL

krodelabestiole a écrit :
bishop a écrit :

installe le PPA pour Ubuntu.

non : le PPA d'ondrej sury est largement connu pour poser des problèmes sur ubuntu. on a des centaines de fils à ce sujet sur ce forum.

donc je te conseille de virer simplement ce PPA et de ne rien installer à la place.

Savais pas... sad  Désolé.


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#7 Le 15/12/2018, à 20:53

krodelabestiole

Re : erreurs sur Ubuntu WSL

c'est pas grave non plus wink

Hors ligne

#8 Le 16/12/2018, à 12:07

wallace27

Re : erreurs sur Ubuntu WSL

Pardon je m'y connais pas des masses. Très concrètement moi j'aimerais juste faire disparaître ces erreurs. Je n'ai rien besoin d'installer d'autre. Quelle commande je tape exactement pour désinstaller ces paquets maudits (propres à Linux et qui désespèrent nombre d'utilisateurs voulant tenter l'aventure d'un autre OS que macOS ou Windows) ?

Merci pour votre aide.

Hors ligne

#9 Le 17/12/2018, à 08:38

bishop

Re : erreurs sur Ubuntu WSL

wallace27
Comment as-tu installé le DPA packages.sury.org/php ?

Est-ce que tu as suivi cette méthode : https://packages.sury.org/php/README.txt ?

Dernière modification par bishop (Le 17/12/2018, à 08:40)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#10 Le 22/12/2018, à 17:33

wallace27

Re : erreurs sur Ubuntu WSL

En fait j'ai suivi cette procédure pour installer un serveur apache2 et MySQL directement dans wsl y-compris l'interpréteur php. Ensuite vu que la version php installée via cette procédure était la 7.0 j'ai fait des recherches pour la mettre à jour vers la 7.2.

Maintenant j'aimerais arrêter d'utiliser wsl pour mon serveur apache et MySQL, c'est trop compliqué, je préfère me cantonner à xampp pour Windows.

Quelqu'un saurait me dire quelles commandes je peux taper pour tout désinstaller et tout nettoyer ? Je voudrais désinstaller le serveur apache2, MySQL et php installés via wsl.

Merci pour votre aide.

Hors ligne

#11 Le 22/12/2018, à 17:38

wallace27

Re : erreurs sur Ubuntu WSL

bishop a écrit :

wallace27
Comment as-tu installé le DPA packages.sury.org/php ?

Est-ce que tu as suivi cette méthode : https://packages.sury.org/php/README.txt ?

Sauf erreur c'est comme ceci que j'ai procédé.

Hors ligne

#12 Le 22/12/2018, à 18:39

wallace27

Re : erreurs sur Ubuntu WSL

Je pense que cette page pourrait me permettre de supprimer le fameux paquets incriminé.

Hors ligne

#13 Le 22/12/2018, à 18:49

bishop

Re : erreurs sur Ubuntu WSL

Pour désinstaller le PPA ppa:ondrej/php proprement en désinstallant les paquets liés à ce PPA, tu dois installer ppa-purge :

sudo apt install ppa-purge

Puis désinstaller le PPA ondrej/php et purger les paquets :

sudo ppa-purge ppa:ondrej/php

Pour packages.sury.org/php :

sudo rm /etc/apt/sources.list.d/php.list
sudo rm /etc/apt/sources.list.d/php.list.save

Puis :

sudo apt update

Pour le reste :

sudo apt remove --purge apache2
sudo apt remove --purge php7.2 php7.2-common php7.2-cli php7.2-fpm php7.2-mbstring php7.2-fpm
sudo apt remove --purge php7.0* php7.1*
sudo apt remove --purge mysql-server
sudo apt update
sudo apt-get autoremove

Je pense qu'il y aura déjà du ménage de fait... roll

Dernière modification par bishop (Le 22/12/2018, à 19:57)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#14 Le 23/12/2018, à 01:58

wallace27

Re : erreurs sur Ubuntu WSL

Merci, j'ai pu tout faire, voici le résultat actuel actuel du sudo apt update :

Ubuntu@steg:~$ sudo apt update
Hit:1 http://security.ubuntu.com/ubuntu xenial-security InRelease
Hit:2 http://archive.ubuntu.com/ubuntu xenial InRelease
Hit:3 http://archive.ubuntu.com/ubuntu xenial-updates InRelease
Hit:4 http://archive.ubuntu.com/ubuntu xenial-backports InRelease
Hit:5 https://download.docker.com/linux/ubuntu xenial InRelease
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
Ubuntu@steg:~$

C'est normal ces lignes parlant de xenial ?

Hors ligne

#15 Le 23/12/2018, à 22:43

bishop

Re : erreurs sur Ubuntu WSL

wallace27 a écrit :

... ... ...
C'est normal ces lignes parlant de xenial ?

Si tu as installé ubuntu xenial 16.04 c'est normal. Mais il me semble que ton fichier sources.list contenant les dépôts est incomplet.
Peux-tu poster le résultat de :

find /etc/apt -name 'sources.list' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#16 Le 25/12/2018, à 07:09

wallace27

Re : erreurs sur Ubuntu WSL

Ubuntu@steg:~$ find /etc/apt -name 'sources.list' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

/etc/apt/sources.list

     1  # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     2  # newer versions of the distribution.
     3  deb http://archive.ubuntu.com/ubuntu/ xenial main restricted
     4  # deb-src http://archive.ubuntu.com/ubuntu/ xenial main restricted
     5
     6  ## Major bug fix updates produced after the final release of the
     7  ## distribution.
     8  deb http://archive.ubuntu.com/ubuntu/ xenial-updates main restricted
     9  # deb-src http://archive.ubuntu.com/ubuntu/ xenial-updates main restricted
    10
    11  ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    12  ## team. Also, please note that software in universe WILL NOT receive any
    13  ## review or updates from the Ubuntu security team.
    14  deb http://archive.ubuntu.com/ubuntu/ xenial universe
    15  # deb-src http://archive.ubuntu.com/ubuntu/ xenial universe
    16  deb http://archive.ubuntu.com/ubuntu/ xenial-updates universe
    17  # deb-src http://archive.ubuntu.com/ubuntu/ xenial-updates universe    18
    19  ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    20  ## team, and may not be under a free licence. Please satisfy yourself as to
    21  ## your rights to use the software. Also, please note that software in
    22  ## multiverse WILL NOT receive any review or updates from the Ubuntu
    23  ## security team.
    24  deb http://archive.ubuntu.com/ubuntu/ xenial multiverse
    25  # deb-src http://archive.ubuntu.com/ubuntu/ xenial multiverse
    26  deb http://archive.ubuntu.com/ubuntu/ xenial-updates multiverse
    27  # deb-src http://archive.ubuntu.com/ubuntu/ xenial-updates multiverse
    28
    29  ## N.B. software from this repository may not have been tested as
    30  ## extensively as that contained in the main release, although it includes
    31  ## newer versions of some applications which may provide useful features.
    32  ## Also, please note that software in backports WILL NOT receive any review
    33  ## or updates from the Ubuntu security team.
    34  deb http://archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
    35  # deb-src http://archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
    36
    37  ## Uncomment the following two lines to add software from Canonical's
    38  ## 'partner' repository.
    39  ## This software is not part of Ubuntu, but is offered by Canonical and the
    40  ## respective vendors as a service to Ubuntu users.
    41  # deb http://archive.canonical.com/ubuntu xenial partner
    42  # deb-src http://archive.canonical.com/ubuntu xenial partner
    43
    44  deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted
    45  # deb-src http://security.ubuntu.com/ubuntu/ xenial-security main restricted
    46  deb http://security.ubuntu.com/ubuntu/ xenial-security universe
    47  # deb-src http://security.ubuntu.com/ubuntu/ xenial-security universe
    48  deb http://security.ubuntu.com/ubuntu/ xenial-security multiverse
    49  deb [arch=amd64] https://download.docker.com/linux/ubuntu xenial edge
    50  # deb-src [arch=amd64] https://download.docker.com/linux/ubuntu xenial edge
    51  # deb-src http://security.ubuntu.com/ubuntu/ xenial-security multiverse
Ubuntu@steg:~$

Hors ligne

#17 Le 27/12/2018, à 12:39

bishop

Re : erreurs sur Ubuntu WSL

Pas grand chose à dire sur ce sources.list à part le numéro 18 qui se ballade à la fin de la ligne 17. Heureusement que la ligne est commentée sinon tu aurais eu droit à une erreur.

Pour un sources.list un peu plus épuré édites le fichier :

gksudo gedit /etc/apt/sources.list

Efface le contenu et copie/colle :

### Archives
deb http://archive.ubuntu.com/ubuntu/ xenial main restricted
deb http://archive.ubuntu.com/ubuntu/ xenial universe
deb http://archive.ubuntu.com/ubuntu/ xenial multiverse

# deb-src http://archive.ubuntu.com/ubuntu/ xenial main restricted
# deb-src http://archive.ubuntu.com/ubuntu/ xenial universe
# deb-src http://archive.ubuntu.com/ubuntu/ xenial multiverse

### Updates
deb http://archive.ubuntu.com/ubuntu/ xenial-updates main restricted
deb http://archive.ubuntu.com/ubuntu/ xenial-updates universe
deb http://archive.ubuntu.com/ubuntu/ xenial-updates multiverse

# deb-src http://archive.ubuntu.com/ubuntu/ xenial-updates main restricted
# deb-src http://archive.ubuntu.com/ubuntu/ xenial-updates universe
# deb-src http://archive.ubuntu.com/ubuntu/ xenial-updates multiverse

### Backports
deb http://archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse

### Security
deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted
deb http://security.ubuntu.com/ubuntu/ xenial-security universe
deb http://security.ubuntu.com/ubuntu/ xenial-security multiverse

# deb-src http://security.ubuntu.com/ubuntu/ xenial-security main restricted
# deb-src http://security.ubuntu.com/ubuntu/ xenial-security universe
# deb-src http://security.ubuntu.com/ubuntu/ xenial-security multiverse

### Canonical
deb http://archive.canonical.com/ubuntu xenial partner
# deb-src http://archive.canonical.com/ubuntu xenial partner

### Docker
deb [arch=amd64] https://download.docker.com/linux/ubuntu xenial edge
# deb-src [arch=amd64] https://download.docker.com/linux/ubuntu xenial edge

Enregistre et ferme le fichier.
Met à jour les dépôts et ta distribution :

sudo apt update && sudo apt full-upgrade

Et tu dis quoi.

Dernière modification par bishop (Le 28/12/2018, à 01:19)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#18 Le 27/12/2018, à 12:41

bishop

Re : erreurs sur Ubuntu WSL

Quand tu as fais cela peux-tu envoyer le résultat de la commande :

find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

pour voir les dépôts optionnel (PPAs et autres).


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne